package com.sy.coinage.core.vo;

import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * -登录用户缓存vo
 */
@Data
public class CacheUserVO {

    /**
     * -用户id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    /**
     * -用户名
     */
    @ApiModelProperty(hidden = true)
    private String username;
    /**
     * -手机号
     */
    @ApiModelProperty(hidden = true)
    private String mobile;
    /**
     * -真实姓名
     */
    @ApiModelProperty(hidden = true)
    private String realName;
    /**
     * -访问令牌
     */
    @ApiModelProperty(hidden = true)
    private String token;
    /**
     * -登录ip
     */
    @ApiModelProperty(hidden = true)
    private String ip;
    /**
     * -角色ids
     */
    @ApiModelProperty(hidden = true)
    private List<Integer> roleIds;
    /**
     * -按钮操作权限
     */
    @ApiModelProperty(hidden = true)
    private List<String> permissionList;


    @ApiModelProperty(value = "部门id")
    private Integer deptId;

    @ApiModelProperty(value = "部门名称")
    private String dept;

    @ApiModelProperty(value = "租户id")
    private Integer tenantId;

    @ApiModelProperty(value = "本部门对应仓库id")
    private Integer selfWareId;

}
