package com.sy.coinage.notify.req;

import com.alibaba.fastjson2.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class ErrorEventReq {

    @ApiModelProperty(value = "EPC码值")
    @NotBlank(message = "EPC码值不能为空")
    private String rfid;

    @ApiModelProperty(value = "库ID 102:造币二部临时库 201:主库一 202 主库二")
    @NotBlank(message = "库ID不能为空")
    private String wareId;

    @ApiModelProperty(value = "操作时间")
    @NotBlank(message = "操作时间不能为空")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date opTime;

    @ApiModelProperty(value = "err_check : 复核异常,err_quality : 质量异常")
    @NotBlank(message = "errType不能为空")
    private String errType;

    @ApiModelProperty(value = "2: 入库3:出库")
    @NotNull(message = "inOrOut不能为空")
    private Integer inOrOut;

}
