package com.sy.coinage.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 省市区实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("sys_region")
// @ApiModel(value = "省市区对象", description = "省市区")
public class Region implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键编号 -10
     */
    @ApiModelProperty(value = "主键编号")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer code;

    /**
     * 地区等级 1省 2市 3区 -3
     */
    @ApiModelProperty(value = "地区等级 1省 2市 3区")
    @TableField(value = "levels")
    private Integer levels;

    /**
     * 状态 1可用 2禁用 -3
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @TableField(value = "status")
    private Integer status;

    /**
     * 上级编号 -10
     */
    @ApiModelProperty(value = "上级编号")
    @TableField(value = "pcode")
    private Integer pcode;

    /**
     * 地区名称 -20
     */
    @ApiModelProperty(value = "地区名称")
    @TableField(value = "name")
    private String name;

    /**
     * 经度 -10
     */
    @ApiModelProperty(value = "经度")
    @TableField(value = "longitude")
    private Double longitude;

    /**
     * 纬度 -10
     */
    @ApiModelProperty(value = "纬度")
    @TableField(value = "latitude")
    private Double latitude;

}
