package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import lombok.Getter;
import lombok.Setter;

/**
 * 重置密码请求bean
 */
@Getter
@Setter
public class ResetPwdReq implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "地区名称")
    @NotNull(message = "用户id不能为空")
    private Integer id;
    /**
     * 新密码
     */
    @ApiModelProperty(value = "新密码")
    @NotBlank(message = "密码不能为空")
    @Length(min = 3, max = 16, message = "密码长度不正确")
    private String password;

}
