package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

import javax.validation.constraints.NotBlank;

import com.alibaba.fastjson2.annotation.JSONField;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
 * 修改个人信息请求bean
 *
 * @author: lug 2021年12月31日
 */
@Data
public class SelfUpdateReq {

    @ApiModelProperty(value = "真实姓名")
    @NotBlank(message = "真实姓名不能为空")
    private String realName;
    /**
     * 职位
     */
    @ApiModelProperty(value = "职位")
    private String position;
    /**
     * 性别 1男 2女 3未知
     */
    @ApiModelProperty(value = "性别 1男 2女 3未知")
    private Integer sex;
    /**
     * 生日 yyyy-MM-dd
     */
    @ApiModelProperty(value = "生日 yyyy-MM-dd")
    @JSONField(format = "yyyy-MM-dd")
    private Date birthday;
    /**
     * 座机号
     */
    @ApiModelProperty(value = "座机号")
    private String telephone;
    /**
     * 邮箱
     */
    @ApiModelProperty(value = "邮箱")
    private String email;
    /**
     * 传真
     */
    @ApiModelProperty(value = "传真")
    private String fax;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "手机号")
    @NotBlank(message = "手机号不能为空")
    @Length(max = 12, message = "手机号长度不正确")
    private String mobile;

}
