package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * -rfid基本信息子表，保存冠字号段信息实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_base_info_sub")
@ApiModel(value = "rfid基本信息子表，保存冠字号段信息对象", description = "rfid基本信息子表，保存冠字号段信息")
public class BaseInfoSub implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -主表id -10
     */
    @ApiModelProperty(value = "主表id")
    @TableField(value = "base_info_id")
    private Integer baseInfoId;
    /**
     * -编号:沈币产品自有编号 -20
     */
    @ApiModelProperty(value = "编号:沈币产品自有编号")
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -冠字号前缀 -10
     */
    @ApiModelProperty(value = "冠字号前缀")
    @TableField(value = "crown_prefix")
    private String crownPrefix;
    /**
     * -起始值 -10
     */
    @ApiModelProperty(value = "起始值")
    @TableField(value = "crown_from")
    private String crownFrom;
    /**
     * -冠字号结束值 -10
     */
    @ApiModelProperty(value = "冠字号结束值")
    @TableField(value = "crown_to")
    private String crownTo;
}
