package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -车间内部迁移表实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_workshop_transfer")
@ApiModel(value = "车间内部迁移表对象", description = "车间内部迁移表")
public class WorkshopTransfer implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -操作类型1:产成品到剔除品库位 2: 剔除品库位到机台 -10
     */
    @ApiModelProperty(value = "操作类型1:产成品到剔除品库位 2: 剔除品库位到机台")
    @TableField(value = "op_type")
    private Integer opType;
    /**
     * -操作时间 -19
     */
    @ApiModelProperty(value = "操作时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人ID -10
     */
    @ApiModelProperty(value = "操作人ID")
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人名称 -20
     */
    @ApiModelProperty(value = "操作人名称")
    @TableField(value = "operator_cn")
    private String operatorCn;
    /**
     * -复核人ID -10
     */
    @ApiModelProperty(value = "复核人ID")
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名 -20
     */
    @ApiModelProperty(value = "复核人姓名")
    @TableField(value = "checker")
    private String checker;
    /**
     * -品类ID -10
     */
    @ApiModelProperty(value = "品类ID")
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品类名称 -20
     */
    @ApiModelProperty(value = "品类名称")
    @TableField(value = "securities")
    private String securities;
    /**
     * -部门名称 -20
     */
    @ApiModelProperty(value = "部门名称")
    @TableField(value = "dept")
    private String dept;
    /**
     * -部门ID -10
     */
    @ApiModelProperty(value = "部门ID")
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -拍子总数 -10
     */
    @ApiModelProperty(value = "拍子总数")
    @TableField(value = "racket_num")
    private Integer racketNum;
    /**
     * -零箱数 -10
     */
    @ApiModelProperty(value = "零箱数")
    @TableField(value = "box_num")
    private Integer boxNum;
    /**
     * -零枚数 -10
     */
    @ApiModelProperty(value = "零枚数")
    @TableField(value = "pieces_total")
    private Integer piecesTotal;
    /**
     * -1:产成品库2:剔除品库3机台 -10
     */
    @ApiModelProperty(value = "1:产成品库2:剔除品库3机台")
    @TableField(value = "loc_from")
    private Integer locFrom;
    /**
     * -1:产成品库2:剔除品库3机台 -10
     */
    @ApiModelProperty(value = "1:产成品库2:剔除品库3机台")
    @TableField(value = "loc_to")
    private Integer locTo;
}
