package com.sy.coinage.workshop.model;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * -实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_workshop_transfer_detail")
@ApiModel(value = "对象", description = "")
public class WorkshopTransferDetail implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -迁移主表ID -10
     */
    @ApiModelProperty(value = "迁移主表ID")
    @TableField(value = "transfer_id")
    private Integer transferId;
    /**
     * -明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚 -10
     */
    @ApiModelProperty(value = "明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚")
    @TableField(value = "type")
    private Integer type;
    /**
     * -rfid -12
     */
    @ApiModelProperty(value = "rfid")
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -产品编号 -20
     */
    @ApiModelProperty(value = "产品编号")
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -容器数量（拍子类型就是1，零箱类型是几箱，零枚就是总枚数） -10
     */
    @ApiModelProperty(value = "容器数量（拍子类型就是1，零箱类型是几箱，零枚就是总枚数）")
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -枚数总数 -10
     */
    @ApiModelProperty(value = "枚数总数")
    @TableField(value = "qty_total")
    private Integer qtyTotal;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示 -100
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;

    @ApiModelProperty(value = "操作人名称")
    @TableField(value = "operator_cn", select = false, exist = false)
    private String operatorCn;

    @ApiModelProperty(value = "称重日期")
    @TableField(value = "weight_date", select = false, exist = false)
    @JSONField(format = "yyyy-MM-dd")
    private Date weightDate;

    @ApiModelProperty(value = "称重时间 hh:mm:ss")
    @TableField(value = "weight_time", select = false, exist = false)
    private String weightTime;

    @ApiModelProperty(value = "复核人")
    @TableField(value = "checker", select = false, exist = false)
    private String checker;

    @ApiModelProperty(value = "部门")
    @TableField(value = "dept", select = false, exist = false)
    private String dept;

    @ApiModelProperty(value = "操作时间")
    @TableField(value = "create_time", select = false, exist = false)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "品名")
    @TableField(select = false, exist = false)
    private String securities;

    @ApiModelProperty(value = "皮重")
    @TableField(value = "tare_weight", select = false, exist = false)
    private Double tareWeight;

    @ApiModelProperty(value = "毛重")
    @TableField(value = "gross_weight", select = false, exist = false)
    private Double grossWeight;

    @ApiModelProperty(value = "称重人")
    @TableField(value = "weightor", select = false, exist = false)
    private String weightor;

}
