package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -列表查询请求bean
 */
@Getter
@Setter
public class CheckListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -抽检单号(唯一标识) -20
     */
    @ApiModelProperty(value = "抽检单号(唯一标识)")
    private String orderNo;
    /**
     * -抽检箱子总数量 -10
     */
    @ApiModelProperty(value = "抽检箱子总数量")
    private Integer qty;
    /**
     * -总库仓库ID -10
     */
    @ApiModelProperty(value = "总库仓库ID")
    private Integer wareId;
    /**
     * -总库名称 -20
     */
    @ApiModelProperty(value = "总库名称")
    private String wareCn;
    /**
     * -目标部门ID -10
     */
    @ApiModelProperty(value = "目标部门ID")
    private Integer deptId;
    /**
     * -目标部门名称 -20
     */
    @ApiModelProperty(value = "目标部门名称")
    private String dept;

    /**
     * -品名id -10
     */
    @ApiModelProperty(value = "品名id")
    private Integer securitiesId;
    /**
     * -品名 -20
     */
    @ApiModelProperty(value = "品名")
    private String securities;
    /**
     * -创建时间 -10
     */
    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人id -10
     */
    @ApiModelProperty(value = "操作人id")
    private Integer operatorId;
    /**
     * -操作人 -20
     */
    @ApiModelProperty(value = "操作人")
    private String operatorCn;
    /**
     * -复核人id -10
     */
    @ApiModelProperty(value = "复核人id")
    private Integer checkId;
    /**
     * -复核人姓名 -20
     */
    @ApiModelProperty(value = "复核人姓名")
    private String checker;
    /**
     * -产成品区域，抽检单的箱子数量。 -10
     */
    @ApiModelProperty(value = "产成品区域，抽检单的箱子数量。")
    private Integer qtyProduct;
    /**
     * -1:初识创建 2:抽检中 3: 抽检完成（仅当qty= qty_product时） -10
     */
    @ApiModelProperty(value = "1:初识创建 2:抽检中  3: 抽检完成（仅当qty= qty_product时）")
    private Integer status;
    /**
     * -冠字号前缀 -20
     */
    @ApiModelProperty(value = "冠字号前缀")
    private String crownPrefix;

}
