package com.sy.coinage.workshop.req;

import com.sy.coinage.core.interceptor.Create;
import com.sy.coinage.core.interceptor.Update;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Length;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.alibaba.fastjson2.annotation.JSONField;
import org.hibernate.validator.constraints.Range;
import lombok.Data;

/**
 * -车间内部迁移表添加请求bean
 */
@Data
public class WorkshopTransferReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "品类ID", required = true)
    @NotNull(message = "品类ID不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "临时库ID", required = true)
    @NotNull(message = "临时库ID不能为空")
    private Integer wareId;

    @ApiModelProperty(value = "流转的明细id", required = true)
    List<Integer> detailList;

}
