package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * DeliveryDetail查询响应bean
 */
@Data
public class DeliveryDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -发货单ID
     */
    @ApiModelProperty(value = "发货单ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "delivery_id")
    private Integer deliveryId;
    /**
     * -rfid
     */
    @ApiModelProperty(value = "rfid")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号
     */
    @ApiModelProperty(value = "编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -冠字号范围，字符串表示,用于页面显示。
     */
    @ApiModelProperty(value = "冠字号范围，字符串表示,用于页面显示。")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    /**
     * -不含中文的，用户判断箱号的格式化字符串（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)
     */
    @ApiModelProperty(value = "不含中文的，用户判断箱号的格式化字符串（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -皮重
     */
    @ApiModelProperty(value = "皮重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重
     */
    @ApiModelProperty(value = "毛重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -称重人id
     */
    @ApiModelProperty(value = "称重人id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人
     */
    @ApiModelProperty(value = "称重人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor")
    private String weightor;
    /**
     * -打印时间
     */
    @ApiModelProperty(value = "打印时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "print_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;
    /**
     * -发货时间
     */
    @ApiModelProperty(value = "发货时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "delivery_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date deliveryTime;
    /**
     * -删除标记 1:未删除 2:已删除
     */
    @ApiModelProperty(value = "删除标记 1:未删除 2:已删除")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "del_flag")
    private Integer delFlag;
    /**
     * -登记类型： 1: 扫描登记 2: 手动登记
     */
    @ApiModelProperty(value = "登记类型： 1: 扫描登记  2: 手动登记")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "reg_flag")
    private Integer regFlag;
    /**
     * -冗余字端：是否整拍 1:是整拍 2:是拆拍
     */
    @ApiModelProperty(value = "冗余字端：是否整拍 1:是整拍 2:是拆拍")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "is_whole")
    private Integer isWhole;
    /**
     * -冗余字端：拆拍拍子上箱子的数量
     */
    @ApiModelProperty(value = "冗余字端：拆拍拍子上箱子的数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
}
