package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * WorkshopEntry查询响应bean
 */
@Data
public class WorkshopEntryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -入库单单号，当是机台入库的。
     */
    @ApiModelProperty(value = "入库单单号，当是机台入库的。")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "order_no")
    private String orderNo;
    /**
     * -1.车间入库
     */
    @ApiModelProperty(value = "1.车间入库")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "order_type")
    private Integer orderType;
    /**
     * -品名ID
     */
    @ApiModelProperty(value = "品名ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名
     */
    @ApiModelProperty(value = "品名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    /**
     * -整拍子数量
     */
    @ApiModelProperty(value = "整拍子数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "racket_num")
    private Integer racketNum;
    /**
     * -拍子总枚数（拍子数量*每拍子箱子数量*每箱子枚数）
     */
    @ApiModelProperty(value = "拍子总枚数（拍子数量*每拍子箱子数量*每箱子枚数）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "racket_total")
    private Integer racketTotal;
    /**
     * -零箱数
     */
    @ApiModelProperty(value = "零箱数")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "box_num")
    private Integer boxNum;
    /**
     * -箱子含有总枚数（箱子数量*每箱枚数）
     */
    @ApiModelProperty(value = "箱子含有总枚数（箱子数量*每箱枚数）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "box_total")
    private Integer boxTotal;
    /**
     * -零枚数量
     */
    @ApiModelProperty(value = "零枚数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "pieces_total")
    private Integer piecesTotal;
    /**
     * -入库时间
     */
    @ApiModelProperty(value = "入库时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人ID
     */
    @ApiModelProperty(value = "操作人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人姓名
     */
    @ApiModelProperty(value = "操作人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_cn")
    private String operatorCn;
    /**
     * -复核人id
     */
    @ApiModelProperty(value = "复核人id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人
     */
    @ApiModelProperty(value = "复核人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -目的地部门
     */
    @ApiModelProperty(value = "目的地部门")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept")
    private String dept;
    /**
     * -目的地部门ID
     */
    @ApiModelProperty(value = "目的地部门ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept_id")
    private Integer deptId;

}
