package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * WorkshopLog查询响应bean
 */
@Data
public class WorkshopLogVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -rfid标签值
     */
    @ApiModelProperty(value = "rfid标签值")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号
     */
    @ApiModelProperty(value = "编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept")
    private String dept;
    /**
     * -部门ID
     */
    @ApiModelProperty(value = "部门ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -绑定的品名ID
     */
    @ApiModelProperty(value = "绑定的品名ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名名称
     */
    @ApiModelProperty(value = "品名名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    /**
     * -冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)
     */
    @ApiModelProperty(value = "冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -皮重(kg)
     */
    @ApiModelProperty(value = "皮重(kg)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重（kg）
     */
    @ApiModelProperty(value = "毛重（kg）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -称重人id
     */
    @ApiModelProperty(value = "称重人id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人
     */
    @ApiModelProperty(value = "称重人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor")
    private String weightor;
    /**
     * -产品称重时间(即打印时间)
     */
    @ApiModelProperty(value = "产品称重时间(即打印时间)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weight_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date weightTime;
    /**
     * -来源地1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域
     */
    @ApiModelProperty(value = "来源地1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_from")
    private Integer locFrom;
    /**
     * -目的地 1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域
     */
    @ApiModelProperty(value = "目的地 1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_to")
    private Integer locTo;
    /**
     * -零枚数量
     */
    @ApiModelProperty(value = "零枚数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "pieces_total")
    private Integer piecesTotal;
    /**
     * -操作人ID
     */
    @ApiModelProperty(value = "操作人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人
     */
    @ApiModelProperty(value = "操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_cn")
    private String operatorCn;
    /**
     * -复核人ID
     */
    @ApiModelProperty(value = "复核人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名
     */
    @ApiModelProperty(value = "复核人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作类型： 1:机台入产成品库（机台->成品）（车间入库） 2.机台入剔除品库（机台->剔除品）（车间入库）3.车间成品库到主库（成品->主库）(解缴出库)
     * 4.返检入剔除品库（主库->剔除品）（返检红冲） 5抽检入剔除品库（主库->剔除品）（抽检入库） 6.抽检上机台（剔除品->机台）(抽检出库) 7.抽检入车间成品库(机台->成品)（抽检入库）
     * 8.抽检出成品库（成品-> 主库）（抽检出库） 9:车间产品库入剔除品库（成品->剔除品）（车间内部迁移）
     */
    @ApiModelProperty(
            value = "操作类型： 1:机台入产成品库（机台->成品）（车间入库） 2.机台入剔除品库（机台->剔除品）（车间入库）3.车间成品库到主库（成品->主库）(解缴出库)  4.返检入剔除品库（主库->剔除品）（返检红冲） 5抽检入剔除品库（主库->剔除品）（抽检入库）  6.抽检上机台（剔除品->机台）(抽检出库) 7.抽检入车间成品库(机台->成品)（抽检入库） 8.抽检出成品库（成品-> 主库）（抽检出库）  9:车间产品库入剔除品库（成品->剔除品）（车间内部迁移）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "op_type")
    private Integer opType;
}
