package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * WorkshopOutboundDetail查询响应bean
 */
@Data
public class WorkshopOutboundDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -主键 ID
     */
    @ApiModelProperty(value = "主键 ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -出库单ID,对应outbound表中ID
     */
    @ApiModelProperty(value = "出库单ID,对应outbound表中ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "out_id")
    private Integer outId;
    /**
     * -EPC码，唯一
     */
    @ApiModelProperty(value = "EPC码，唯一")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -产品编号
     */
    @ApiModelProperty(value = "产品编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -皮重（kg）
     */
    @ApiModelProperty(value = "皮重（kg）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重（kg）
     */
    @ApiModelProperty(value = "毛重（kg）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -净重（kg）
     */
    @ApiModelProperty(value = "净重（kg）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "net_weight")
    private Double netWeight;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    /**
     * -冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)
     */
    @ApiModelProperty(value = "冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -备注
     */
    @ApiModelProperty(value = "备注")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "remark")
    private String remark;
    /**
     * -临时库，主库一，主库二
     */
    @ApiModelProperty(value = "临时库，主库一，主库二")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_id")
    private Integer wareId;
    /**
     * -仓库名称（实际存储）
     */
    @ApiModelProperty(value = "仓库名称（实际存储）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_cn")
    private String wareCn;
    /**
     * -库位ID
     */
    @ApiModelProperty(value = "库位ID ")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "area_id")
    private Integer areaId;
    /**
     * -仓库库位（实际存储）名称
     */
    @ApiModelProperty(value = "仓库库位（实际存储）名称 ")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "area_cn")
    private String areaCn;
    /**
     * -称重人ID
     */
    @ApiModelProperty(value = "称重人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人
     */
    @ApiModelProperty(value = "称重人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor")
    private String weightor;
    /**
     * -当解缴单：车间出库日期；当返检单：主库出库时间
     */
    @ApiModelProperty(value = "当解缴单：车间出库日期；当返检单：主库出库时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "out_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date outTime;
    /**
     * -in_time
     */
    @ApiModelProperty(value = "in_time")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "in_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date inTime;
}
